# rm_
    代替rm命令防止错误删除文件  
    基于coreutils-9.1 mv源代码

# Build
    git clone https://git.aixiao.me/aixiao/rm_
    cd rm_ 
    bash build.sh
    
# Help Information
    root@NIUYULING:/mnt/c/Users/niuyuling/Desktop/rm_# ./rm_ --help
    Usage: ./rm_ [OPTION]... [-T] SOURCE DEST
      or:  ./rm_ [OPTION]... SOURCE... DIRECTORY
      or:  ./rm_ [OPTION]... -t DIRECTORY SOURCE...
    Rename SOURCE to DEST, or move SOURCE(s) to DIRECTORY.

    Mandatory arguments to long options are mandatory for short options too.
          --backup[=CONTROL]       make a backup of each existing destination file
      -b                           like --backup but does not accept an argument
      -f, --force                  do not prompt before overwriting
      -i, --interactive            prompt before overwrite
      -n, --no-clobber             do not overwrite an existing file
    If you specify more than one of -i, -f, -n, only the final one takes effect.
          --strip-trailing-slashes  remove any trailing slashes from each SOURCE
                                     argument
      -S, --suffix=SUFFIX          override the usual backup suffix
      -t, --target-directory=DIRECTORY  move all SOURCE arguments into DIRECTORY
      -T, --no-target-directory    treat DEST as a normal file
      -u, --update                 move only when the SOURCE file is newer
                                     than the destination file or when the
                                     destination file is missing
      -v, --verbose                explain what is being done
      -Z, --context                set SELinux security context of destination
                                     file to default type
          --help        display this help and exit
          --version     output version information and exit

    Instead of rm command to prevent mistaken deletion of files
    Author: aixiao@aixiao.me

    代替rm命令，以防止错误删除文件
    作者: aixiao@aixiao.me

    The backup suffix is '~', unless set with --suffix or SIMPLE_BACKUP_SUFFIX.
    The version control method may be selected via the --backup option or through
    the VERSION_CONTROL environment variable.  Here are the values:

      none, off       never make backups (even if --backup is given)
      numbered, t     make numbered backups
      existing, nil   numbered if numbered backups exist, simple otherwise
      simple, never   always make simple backups

    GNU coreutils online help: <https://www.gnu.org/software/coreutils/>
    Report any translation bugs to <https://translationproject.org/team/>
    Full documentation <https://www.gnu.org/software/coreutils/mv>
    or available locally via: info '(coreutils) mv invocation'